Subject: Re: bug#66186: "make lisp/eshell/esh-proc-tests" fails intermittently since 7e50861ca7ed3f620fe62ac6572f6e88b3600ece

From: Jens Schmidt <[email-masked]>
Date: Mon, 25 Sep 2023 11:01:55 +0200

Jim Porter <[email-masked]> writes:

> On 9/24/2023 9:52 PM, Eli Zaretskii wrote:
>>> Date: Sun, 24 Sep 2023 16:02:03 -0700
>>> From: Jim Porter <[email-masked]>

>> Perhaps Eshell should check that the process is still alive before
>> calling process-send-string?
>
> Ok, how about this? Jens, could you try this patch out to see if
> it fixes things for you?

I managed to reproduce the SIGPIPE twice, but this time in 20-30 tests.
So it does not really fix things (as you have suspected as well), but it
improved the situation definitely.

It's not that I feel badly affected by this bug, it's more of a
nuisance.  So I leave it to you how to continue here.